package com.example.actionbar_pull_to_refresh.app;

import android.annotation.TargetApi;
import android.content.Context;
import android.os.Build;
import android.widget.ArrayAdapter;

/**
 * Created by tomas on 20.03.14.
 */
@TargetApi(11)
public class HelloWorldAdapter extends ArrayAdapter<String> {

    private String[] mItems;

    public HelloWorldAdapter(Context context) {
        super(context, android.R.layout.simple_list_item_1);
        setNotifyOnChange(false);
    }

    public void setData(String[] items) {
        mItems = items;
        clear();
        if (items != null) {
            if (Build.VERSION.SDK_INT < Build.VERSION_CODES.HONEYCOMB) {
                for (String item : items) {
                    add(item);
                }
            } else {
                addAll(mItems);
            }
        }
        notifyDataSetChanged();
    }
}
